package com.memorynotfound;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import javax.faces.context.Flash;
import javax.faces.event.ComponentSystemEvent;

@ManagedBean
@RequestScoped
public class UserBean {

    private String firstName;
    private String lastName;

    public String goToConfirmView() {
        Flash flash = FacesContext.getCurrentInstance().getExternalContext().getFlash();
        flash.put("firstName", firstName);
        flash.put("lastName", lastName);
        return "confirm?faces-redirect=true";
    }

    public String goToInputFormView() {
        return "input?faces-redirect=true";
    }

    public String insertValue() {
        Flash flash = FacesContext.getCurrentInstance().getExternalContext().getFlash();

        flash.setKeepMessages(true);
        pullValuesFromFlash(null);

        System.out.println("First name: " + firstName);
        System.out.println("Last name: " + lastName);

        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage("Value inserted"));
        return "done?faces-redirect=true";
    }

    public void pullValuesFromFlash(ComponentSystemEvent e) {
        Flash flash = FacesContext.getCurrentInstance().getExternalContext().getFlash();
        firstName = (String)flash.get("firstName");
        lastName = (String)flash.get("lastName");
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
}
